
%define	snap	20180210
%define commit	1d7b1423f939027da9a9524765a36fa71be265cd
Summary:	Khronos SPIR-V Tools
Summary(pl.UTF-8):	Narzędzia SPIR-V z projektu Khronos
Name:		spirv-tools
Version:	v2018.1
Release:	0.s%{snap}.1
License:	Apache v2.0
Group:		Development/Tools
Source0:	https://github.com/KhronosGroup/SPIRV-Tools/archive/%{commit}/%{name}-s%{snap}.tar.gz
# Source0-md5:	8547896f95ccf36e6c48183d0e2f6c87
Patch0:		no-git-describe.patch
URL:		https://github.com/KhronosGroup/SPIRV-Tools
BuildRequires:	cmake >= 2.8.12
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	python
BuildRequires:	spirv-headers >= 1.2
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The SPIR-V Tools project provides an API and commands for processing
SPIR-V modules.

The project includes an assembler, binary module parser, disassembler,
and validator for SPIR-V, all based on a common library. The library
contains all of the implementation details, and is used in the
standalone tools whilst also enabling integration into other code
bases directly.

The interfaces are still under development, and are expected to
change.

SPIR-V is defined by the Khronos Group Inc.

%description -l pl.UTF-8
SPIR-V Tools to projekt udostępniający API i polecenia do
przetwarzania modułów SPIR-V.

Projekt zawiera asembler, parser modułów binarnych, disasembler oraz
walidator dla SPIR-V - wszystko oparte o wspólną bibliotekę.
Biblioteka zawiera wszystkie szczegóły implementacji i jest używana w
samodzielnych narzędziach; może być także zintegrowana do innego kodu.

Interfejsy są nadal rozwijane i mogą się zmienić.

SPIR-V jest zdefiniowane przez Khronos Group Inc.

%package libs
Summary:	SPIR-V Tools library
Summary(pl.UTF-8):	Biblioteka SPIR-V Tools
Group:		Libraries

%description libs
The SPIR-V Tools project provides an API for processing SPIR-V
modules.

%description libs -l pl.UTF-8
Projekt SPIR-V Tools udostepnia API do przetwarzania modułów SPIR-V.

%package devel
Summary:	Header files for SPIR-V Tools library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki SPIR-V Tools
Group:		Development/Libraries
Requires:	spirv-headers
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for SPIR-V Tools library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki SPIR-V Tools.

%prep
%setup -q -n SPIRV-Tools-%{commit}

%patch0 -p1

%build
install -d build external/spirv-headers/include
ln -s /usr/include/spirv external/spirv-headers/include/spirv

cd build
%cmake ..

# we know better than utils/update_build_version.py
echo '"spirv-tools %{commit}\\n"' > build-version.inc

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES README.md syntax.md
%attr(755,root,root) %{_bindir}/spirv-*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libSPIRV-Tools.so
%attr(755,root,root) %{_libdir}/libSPIRV-Tools-link.so
%attr(755,root,root) %{_libdir}/libSPIRV-Tools-opt.so
%attr(755,root,root) %{_libdir}/libSPIRV-Tools-shared.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/spirv-tools
%{_pkgconfigdir}/SPIRV-Tools.pc
%{_pkgconfigdir}/SPIRV-Tools-shared.pc
%changelog
* Sun Mar 04 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/spirv-tools.git;a=log;h=master

* Sat Feb 10 2018 Jan Palus <atler@pld-linux.org> e8bcabb
- up to 20180210 snap

* Fri May 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 919996e
- pl, fixed License

* Mon Apr 03 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 7f4fc0e
- new snapshot for current vulkan-sdk

* Wed Nov 23 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> dfb2952
- revert last commit, spirv-headers should be fixed

* Wed Nov 23 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 43bb195
- BC: spirv-tools < v2016.6

* Wed Nov 23 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 85dcd29
- 20161027 snapshot for vulkan-sdk 1.0.32.0

* Thu Jul 14 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 625333b
- Up to 20160614 snapshot

* Fri Apr 08 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 8036bc8
- Up to 20160329 snapshot

* Sat Mar 12 2016 Jacek Konieczny <jajcus@jajcus.net> 5acc8f9
- fixed snapshot date

* Sat Mar 12 2016 Jacek Konieczny <jajcus@jajcus.net> d0e0a7d
- Up to latest snapshot, as used by Vulkan SDK 1.0.5

* Tue Feb 23 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> af1c7ed
- up to 20160222 snapshot

* Sat Feb 20 2016 Jacek Konieczny <jajcus@jajcus.net> 06d0d31
- Release: 1

* Fri Feb 19 2016 Jacek Konieczny <jajcus@jajcus.net> dc0fdaa
- new package

